.FilterSelector,
.FilterSelector-Overlay {
    .input-range__label {
        display: none;
    }
}

.FilterSelector {
    &_isWide &-DropdownMenu {
        width: 330px;
    }
}

.PriceRangeSelector {
    &-InputContainer {
        display: flex;
        padding: 8px 8px 0;
        justify-content: space-between;

        + .RangeSelector {
            margin: 37px 8px;
        }
    }

    &-Input {
        > input {
            width: 110px;
            padding: 11px 38px 11px 8px;
            border: none;
            margin: 0 !important;
            background: var(--grey-5-color);
            font-weight: 500;

            &:focus {
                border: none;
            }
        }

        > label {
            position: absolute;
            top: 11px;
            right: 15px;
            text-transform: uppercase;
        }
    }
}

:root {
    --range-slider-color: #000;
    --range-slider-active-color: var(--primary-base-color);
}

.RangeSelector {
    &_isChanged {
        --range-slider-color: var(--range-slider-active-color);
    }
}

.input-range {
    width: calc(100% - 18px);
    margin: 30px 10px;

    @include mobile {
        margin: 40px 10px;
    }

    &__slider,
    &__track--active {
        border-color: var(--range-slider-color);
        background-color: var(--range-slider-color);
    }

    &__slider {
        width: 20px;
        height: 20px;
        border-radius: 50%;
        margin-top: -12px;
        margin-left: -10px;
        background: var(--button-background);
    }

    &__track {
        height: 4px;
    }

    &__label {
        &--value {
            top: -2.2rem;
        }

        &--min,
        &--max {
            bottom: -1.6rem;
        }
    }
}
